# Imports

import matplotlib.pyplot as plt
from libpysal.weights.contiguity import Queen
from libpysal import examples
import geopandas as gpd
from esda.moran import Moran_Local
from splot.esda import lisa_cluster

# Data preparation and statistical analysis

link = examples.get_path('Guerry.shp')
gdf = gpd.read_file(link)
y = gdf['Donatns'].values
w = Queen.from_dataframe(gdf)
w.transform = 'r'
moran_loc = Moran_Local(y, w)

# Plotting

fig = lisa_cluster(moran_loc, gdf)
plt.show()
